## spicctrl 1.2

=== Makefile ===
CC = gcc
CFLAGS = -Wall -Wstrict-prototypes -O2 -pipe
SRC = spicctrl.c
OBJ = $(SRC:.c=.o)
LIBS =

all: spicctrl

sonypid: $(OBJ)
	$(CC) -o spicctrl $(OBJ) $(LIBS)

clean:
	rm -f $(OBJ) spicctrl *~

## spicctrl 1.6

=== Makefile ===
CC = gcc
CFLAGS = -Wall -W -Wshadow -Wstrict-prototypes -Wcast-qual -Wcast-align \
         -Wwrite-strings -O2 -pipe
SRC = spicctrl.c
OBJ = $(SRC:.c=.o)
LIBS =
DOCS = AUTHORS CHANGES LICENSE
VERSION = 1.4
PREFIX = /usr/local
DESTBIN = $(PREFIX)/bin
DESTMAN = $(PREFIX)/man/man1
DESTDOC = $(PREFIX)/share/doc/spicctrl-$(VERSION)

all: spicctrl

spicctrl: $(OBJ)
	$(CC) -o spicctrl $(OBJ) $(LIBS)

clean:
	rm -f $(OBJ) spicctrl *~

install:
	install -m 755 -d $(DESTBIN)
	install -m 755 spicctrl $(DESTBIN)
	install -m 755 -d $(DESTMAN)
	install -m 644 spicctrl.1 $(DESTMAN)
	install -m 755 -d $(DESTDOC)
	install -m 644 $(DOCS) $(DESTDOC)

uninstall:
	rm -f $(DESTBIN)/spicctrl
	rm -f $(DESTMAN)/spicctrl.1
	rm -rf $(DESTDOC)

## spicctrl 1.9

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 OBJ = $(SRC:.c=.o)
 LIBS =
 DOCS = AUTHORS CHANGES LICENSE
-VERSION = 1.4
+VERSION = 1.9
 PREFIX = /usr/local
 DESTBIN = $(PREFIX)/bin
 DESTMAN = $(PREFIX)/man/man1

## spicctrl 1.9-1

=== debian/changelog ===
spicctrl (1.9-1) unstable; urgency=low

  * New upstream release (closes: #333743).
  * Non-maintainer upload.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed,  7 Jun 2006 09:35:42 +1200

spicctrl (1.6-1) unstable; urgency=low

  * New maintainer (Closes: #249359).

 -- Samuel Ortiz <samuel@sortiz.org>  Thu,  1 Jul 2004 20:08:36 +0200

spicctrl (1.5-3) unstable; urgency=low

  * New maintainer.

 -- Noah Meyerhans <noahm@debian.org>  Mon, 17 Feb 2003 22:18:46 -0500

spicctrl (1.5-2) unstable; urgency=low

  * Orphaned the package, as I no longer have hardware to use it with.

 -- Joey Hess <joeyh@debian.org>  Sat,  8 Feb 2003 12:38:05 -0500

spicctrl (1.5-1) unstable; urgency=low

  * New upstream release.
  * New home page location.
  * Updated copyright.

 -- Joey Hess <joeyh@debian.org>  Wed, 11 Dec 2002 12:42:58 -0500

spicctrl (1.3-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Sat, 27 Jul 2002 12:07:53 -0400

spicctrl (1.2-3) unstable; urgency=low

  * Synced with override files.

 -- Joey Hess <joeyh@debian.org>  Thu, 13 Jun 2002 19:36:39 -0400

spicctrl (1.2-2) unstable; urgency=low

  * Use debhelper v4.

 -- Joey Hess <joeyh@debian.org>  Thu, 13 Jun 2002 16:35:44 -0400

spicctrl (1.2-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Tue,  5 Feb 2002 19:34:39 -0500

spicctrl (1.1-1) unstable; urgency=low

  * New upstream release (with version number! :-)

 -- Joey Hess <joeyh@debian.org>  Sat, 29 Dec 2001 12:35:09 -0500

spicctrl (0.0-2) unstable; urgency=low

  * Typo.

 -- Joey Hess <joeyh@debian.org>  Sun, 23 Sep 2001 20:04:10 -0400

spicctrl (0.0-1) unstable; urgency=low

  * First release. This release is dedicated to Wakko, whose skills with a
    soldering iron made it possible. You rule!
  * Wrote man page.

 -- Joey Hess <joeyh@debian.org>  Sat, 22 Sep 2001 00:10:36 -0400

=== debian/control ===
Source: spicctrl
Section: utils
Priority: extra
Maintainer: Samuel Ortiz <samuel@sortiz.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1.1

Package: spicctrl
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Sony Vaio controller program to set LCD backlight brightness
 spicctrl is a small program that can use the Sony Programmable I/O Control
 device (SPIC), which is part of Sony Vaio's, to do a few simple things.
 Currently, it can only be used to control the brightness on the LCD
 backlight, and print out some information about the battery.
 .
 You need a kernel with the sonypi module (and a Vaio laptop..) to use this
 program.

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install spicctrl usr/bin

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs AUTHORS
	dh_installexamples
	dh_installman spicctrl.1
	dh_installinfo
	dh_installchangelogs CHANGES
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	chmod u+s debian/spicctrl/usr/bin/spicctrl
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## spicctrl 1.9-2

=== debian/changelog ===
spicctrl (1.9-2) unstable; urgency=low

  * QA upload.
  * Set maintainer to Debian QA Group.

 -- Luk Claes <luk@debian.org>  Sun, 18 Nov 2007 18:05:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: spicctrl
 Section: utils
 Priority: extra
-Maintainer: Samuel Ortiz <samuel@sortiz.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 4.0.0)
 Standards-Version: 3.6.1.1

=== debian/watch ===
version=2
http://popies.net/sonypi/ spicctrl-(.*).tar.bz2
